# EchoNext DI
<a id="readme-top"></a> 

<div align="center">  
  <p align="center">
    Light and intuitive Dependency Injection Library for pyEchoNext Project
    <br />
    <a href="https://alexeev-prog.github.io/echonext_di/"><strong>Explore the docs »</strong></a>
    <br />
    <br />
    <a href="#-getting-started">Getting Started</a>
    ·
    <a href="#-usage-examples">Basic Usage</a>
    ·
    <a href="https://alexeev-prog.github.io/echonext_di/">Documentation</a>
    ·
    <a href="https://github.com/alexeev-prog/echonext_di/blob/main/LICENSE">License</a>
  </p>
</div>
<br>
<p align="center">
    <img src="https://img.shields.io/github/languages/top/alexeev-prog/echonext_di?style=for-the-badge">
    <img src="https://img.shields.io/github/languages/count/alexeev-prog/echonext_di?style=for-the-badge">
    <img src="https://img.shields.io/github/license/alexeev-prog/echonext_di?style=for-the-badge">
    <img src="https://img.shields.io/github/stars/alexeev-prog/echonext_di?style=for-the-badge">
    <img src="https://img.shields.io/github/issues/alexeev-prog/echonext_di?style=for-the-badge">
    <img src="https://img.shields.io/github/last-commit/alexeev-prog/echonext_di?style=for-the-badge">
</p>

Light and intuitive Dependency Injection Library for [pyEchoNext Project](https://github.com/alexeev-prog/pyEchoNext).

## Tests coverage
To test the library, PyTest with the pytest-cov plugin is used. You can look at the tests in [tests directory](./tests)

| Statements | Miss       | Coverage |
|------------|------------|----------|
| 117        | 10         | 91%      |

<p align="right">(<a href="#readme-top">back to top</a>)</p>

## Check Other My Projects

 + [SQLSymphony](https://github.com/alexeev-prog/SQLSymphony) - simple and fast ORM in sqlite (and you can add other DBMS)
 + [Burn-Build](https://github.com/alexeev-prog/burn-build) - simple and fast build system written in python for C/C++ and other projects. With multiprocessing, project creation and caches!
 + [OptiArch](https://github.com/alexeev-prog/optiarch) - shell script for fast optimization of Arch Linux
 + [libnumerixpp](https://github.com/alexeev-prog/libnumerixpp) - a Powerful C++ Library for High-Performance Numerical Computing
 + [pycolor-palette](https://github.com/alexeev-prog/pycolor-palette) - display beautiful log messages, logging, debugging.
 + [shegang](https://github.com/alexeev-prog/shegang) - powerful command interpreter (shell) for linux written in C

<p align="right">(<a href="#readme-top">back to top</a>)</p>

## 🚀 Getting Started

EchoNext DI is available on [PyPI](https://pypi.org/project/echonextdi). Simply install the package into your project environment with PIP:

```bash
pip install echonextdi
```

Once installed, you can start using the library in your Python projects.

<p align="right">(<a href="#readme-top">back to top</a>)</p>
